<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BaiTap JS buổi 15</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="./style.css" />
  </head>

  <body>
    <div class="container p-3">
      <!-- Bài 1: Quản lý tuyển sinh -->
      <div class="custome_baitap bg-light text-dark p-4 rounded">
        <p class="font-weight-bold">Bài 1: Quản lý tuyển sinh</p>
        <div class="form-group">
          <label class="pt-1" for="">Nhập điểm chuẩn</label>
          <input
            type="text"
            class="diem-chuan form-control w-50"
            id="txt-diemChuan"
            placeholder="Nhập điểm chuẩn"
            required
          />
        </div>

        <div class="form-group pt-3">
          <label class="pt-1" for="">Chọn đối tượng</label>
          <div class="chon-doi-tuong">
            <ul>
              <li class="type">
                <input
                  type="radio"
                  id="doiTuongKhac"
                  value="0"
                  name="selector"
                />
                <label for="khac">Khác</label>
              </li>
              <li class="type">
                <input type="radio" id="doiTuong1" value="1" name="selector" />
                <label for="">Đối tượng 1</label>
              </li>
              <li class="type">
                <input type="radio" id="doiTuong2" value="2" name="selector" />
                <label for="">Đối tượng 2</label>
              </li>
              <li class="type">
                <input type="radio" id="doiTuong3" value="3" name="selector" />
                <label for="">Đối tượng 3</label>
              </li>
            </ul>
          </div>
        </div>
        <div class="form-group">
          <label for="">Chọn khu vực</label>
          <select
            class="form-control chon-khu-vuc w-50"
            name=""
            id="txt-khu-vuc"
          >
            <option value="X">Khác</option>
            <option value="A">Khu vực A</option>
            <option value="B">Khu vực B</option>
            <option value="C">Khu vực C</option>
          </select>
        </div>
        <div class="form-group pt-2">
          <label class="pt-3" for="">Nhập điểm</label>
          <div class="nhap-diem">
            <input
              type="text"
              class="diem-mon-1 form-control w-50 mt-3"
              id="txt-diemMon1"
              placeholder="Nhập điểm môn 1"
            />
            <input
              type="text"
              class="diem-mon-2 form-control w-50 mt-3"
              id="txt-diemMon2"
              placeholder="Nhập điểm môn 2"
            />
            <input
              type="text"
              class="diem-mon-3 form-control w-50 mt-3"
              id="txt-diemMon3"
              placeholder="Nhập điểm môn 3"
            />
          </div>
        </div>
        <button
          onclick="tinhKetQuaThi()"
          id="btnKetQua"
          class="btn btn-success mt-4"
        >
          Thông báo kết Quả
        </button>
        <div class="result mt-3 alert alert-success">
          Kết quả: <br />
          <span id="txt-result"></span>
        </div>
      </div>
      <hr />

      <!-- Bài 2: Tính tiền điện -->
      <div class="custome_baitap bg-light text-dark p-4 rounded">
        <p class="font-weight-bold">Bài 2: Tính tiền điện</p>
        <div class="form-group">
          <label class="pt-1" for="">Họ và Tên</label>
          <input
            type="text"
            class="form-control w-50"
            id="hoTen"
            placeholder="Nhập họ và tên"
          />
        </div>

        <div class="form-group pt-2">
          <label class="pt-3" for="">Số KW</label>
          <div>
            <input
              type="text"
              class="form-control w-50 mt-3"
              id="so-kw"
              placeholder="Nhập số Kw"
            />
          </div>
        </div>
        <button
          onclick="tinhTienDien()"
          id="btnTinhTienDien"
          class="btn btn-success mt-4"
        >
          Tính tiền điện
        </button>
        <div class="mt-3 alert alert-success">
          Số tiền phải trả: <br />
          <span id="soTienDien"></span>
        </div>
      </div>
      <hr />

      <!-- Bài 3: Tính thuế thu nhập cá nhân -->
      <div class="custome_baitap bg-light text-dark p-4 rounded">
        <p class="font-weight-bold">Bài 3: Tính thuế thu nhập cá nhân</p>
        <div class="form-group">
          <label class="pt-1" for="">Họ và Tên</label>
          <input
            type="text"
            class="form-control w-50"
            id="ho-ten"
            placeholder="Nhập họ tên"
          />
        </div>
        <div class="form-group pt-2">
          <label class="pt-3" for="">Tổng thu nhập</label>

          <div>
            <input
              type="text"
              class="form-control w-50 mt-3"
              id="tong-thu-nhap"
              placeholder="Nhập tổng thu nhập"
            />
          </div>
        </div>
        <div class="form-group pt-2">
          <label class="pt-3" for="">Số người phụ thuộc</label>
          <div>
            <input
              type="text"
              class="form-control w-50 mt-3"
              id="so-nguoi-phu-thuoc"
              placeholder="Nhập số người phụ thuộc"
            />
          </div>
        </div>
        <button
          onclick="tinhTienThue()"
          id="btnTinhTienThue"
          class="btn btn-success mt-4"
        >
          Tính tiền thuế
        </button>
        <div class="mt-3 alert alert-success">
          Thông tin thuế: <br />
          <span id="soTienThue"></span>
        </div>
      </div>
      <hr />

      <!-- Bài 4: Tính tiền cáp -->
      <div class="custome_baitap bg-light text-dark p-4 rounded">
        <p class="font-weight-bold">Bài 4: Tính tiền cáp</p>
        <div class="form-group">
          <label class="pt-1">Mã khách hàng</label>
          <input
            type="text"
            class="form-control w-50"
            id="ma-khach-hang"
            placeholder="Nhập mã khách hàng"
          />
        </div>
        <div class="form-group">
          <label class="pt-4">Loại khách hàng</label>
          <select
            class="form-control w-50 mt-4"
            id="loai-khach-hang"
            onchange="disable()"
          >
            <option value="X">Chọn loại khách hàng</option>
            <option value="caNhan">Cá nhân</option>
            <option value="doanhNghiep">Doanh nghiệp</option>
          </select>
        </div>
        <div class="form-group pt-2">
          <label class="pt-3">Số kênh cao cấp</label>

          <div>
            <input
              type="text"
              class="form-control w-50 mt-3"
              id="so-kenh"
              placeholder="Nhập số kênh"
            />
          </div>
        </div>
        <div class="form-group pt-2">
          <label class="pt-3">Số kết nối</label>
          <div>
            <input
              type="text"
              class="form-control w-50 mt-3"
              id="so-ket-noi"
              placeholder="Nhập số kết nối"
              disabled
            />
          </div>
        </div>
        <button
          onclick="tinhTienCap()"
          id="btnTinhTienCap"
          class="btn btn-success mt-4"
        >
          Tính tiền cáp
        </button>
        <div class="mt-3 alert alert-success">
          Số tiền cáp: <br />
          <span id="soTienCap"></span>
        </div>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <!-- My Javascript -->
    <script src="./index.js"></script>
  </body>
</html>
